package org.codiki.core.entities.business;

import org.codiki.core.entities.persistence.Post;

public class SearchEntity {

	private Post post;
	
	private int score;

	public SearchEntity(Post post) {
		super();
		this.post = post;
	}

	public Post getPost() {
		return post;
	}

	public void setPost(Post post) {
		this.post = post;
	}

	public int getScore() {
		return score;
	}
	
	public void increaseScore(int pScoreToAdd) {
		score += pScoreToAdd;
	}
	
	public void decreaseScore(int pScoreToRemove) {
		score -= pScoreToRemove;
	}
}
